Index: chap-tuning.xml
===================================================================
RCS file: /cvsroot/htdocs/guide/en/chap-tuning.xml,v
retrieving revision 1.12
diff -b -u -r1.12 chap-tuning.xml
--- chap-tuning.xml	4 Apr 2007 08:08:05 -0000	1.12
+++ chap-tuning.xml	7 Apr 2007 10:15:17 -0000
@@ -1689,12 +1689,45 @@
 
       <para>
         LFS writes data to disk in a way that is sometimes too
-        aggressive and leads to congestion.
-	Information on how to throttle writing and finding the right
-        parameters are available 
-	<ulink url="http://mail-index.NetBSD.org/tech-perform/2007/04/01/0000.html">this</ulink> and
-	<ulink url="http://mail-index.NetBSD.org/tech-perform/2007/04/01/0001.html">this</ulink> mail. 
+        aggressive and leads to congestion. Blair Sadewitz has described
+	a good method for throttling writing and finding the right
+	parameters<footnote>
+	  <para>
+	    See
+	    <ulink url="http://mail-index.NetBSD.org/tech-perform/2007/04/01/0000.html" /> and
+	    <ulink url="http://mail-index.NetBSD.org/tech-perform/2007/04/01/0001.html" />.
       </para>
+	</footnote>.
+	The first step is to disable the sync delay, by setting the
+	following tunables through &man.sysctl.8;:
+      </para>
+
+      <programlisting>
+vfs.sync.delay = 0
+vfs.sync.filedelay = 0
+vfs.sync.metadelay = 0
+vfs.sync dirdelay = 0
+      </programlisting>
+
+      <para>
+	Then, find out how much bandwidth you have inside and outside
+	of the disk. This can be done by running
+	<command>newfs_lfs -ANF</command> on a partition close to
+	cylinder 0, and then on a partition close to the last cyclinder.
+	Average these two numbers, and calculate the LFS
+	<emphasis>page trip</emphasis> with the following formula:
+      </para>
+
+      <para>
+	<emphasis>t = (avg_bandwidth_in_bytes / PAGE_SIZE) / 4</emphasis>
+      </para>
+
+      <para>
+	Now you can set the <emphasis>vfs.lfs.pagetrip</emphasis> tunable
+	to <emphasis>t</emphasis> through &man.sysctl.8;.
+      </para>
+
+      <!-- XXX - Add note about BUFQ_PRIOCSCAN and BUFQ_READPRIO. -->
     </sect2>
 
   </sect1>
